Subject: [v6ops] Re: DHCPv6 PD in a multi-prefix environment
From: Ted Lemon <[email-masked]>
To: Ole Trøan <[email-masked]>
Cc: V6 Ops List <[email-masked]>
Date: Wed, 24 Jul 2024 07:40:18 -0700
List-Id: v6ops discussion list <v6ops.ietf.org>

The SNAC draft does speak of stub networks, in the sense that a stub router
might have more than one. In such a situation I would expect it to request
one /64 per stub network. We should definitely say this explicitly in the
document.

However, I don’t know what the use case would be for this—it seems like the
primary motivation for doing stub routers (incompatible layer 2s) doesn’t
really support this configuration.

So as a practical matter I don’t think we need to worry about it.

Op wo 24 jul 2024 om 07:33 schreef Ole Trøan <[email-masked]>

>
>
> > On 24 Jul 2024, at 16:00, Ted Lemon <[email-masked]> wrote:
> >
> > SNAC and PD-per-device are unrelated. You asked me a question about
> SNAC, which I answered. SNAC routers will pay no attention at all to the P
> bit.
>
> Slightly tangential, and possibly something that should be on the snac
> list.
>
> Not quite sure what Dave is asking, cause this is mostly up to network
> policy.
>
> E.g If the infrastructure network was numbered with a GUA and a ULA prefix
> I would expect a SNAC router asking for a singe IAID IA_PD to get an IA_PD
> back with two prefixes. One ULA and one GUA. But again, that’s up to the
> network.
>
> The tangential question, that I didn’t find in snac-simple, does a snac
> router ever need to number more than a single interface? If so PD allows
> the SNAC router to use a separate IA_PD for each interface, allowing for a
> more efficient allocation. Eg for 3 interfaces a single prefix would be a
> /62, while for 3 PDs it would be 3x/64. (In spirit with the flat model in
> cpe-lan-pd).
>
> Is this choice and recommendation worth including in snac-simple?
>
> O.
>
>